# PS2RASTER

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLE
SEE ALSO

## NAME

| ps2raster − Converts one or several PostScript file(s) to raster formats using GhostScript

## SYNOPSIS

| ps2raster psfile(s) [ −A ] [ −E resolution ] [ −G ghost_path ] [ −L listfile] [ −N ] [ −Tf|j|g|m|t ]

## DESCRIPTION

| ps2raster reads one or more PostScript files (or a file with a list of PostScript filenames) and modifies the BoundingBox and PageSize in order that the raster image will have a size determined by the BoundingBox. As an option, a tight BoundingBox may be computed.

| psfiles

| Names of PostScript files to be converted. The output files will have the same name but with the conventional extension name associated to the raster format (e.g. .jpg for the jpeg format).

## OPTIONS

| −A |  | Adjust the BoundingBox to the minimum required by the image content.
| −E |  | Set raster resolution in dpi [default = 300].
| −G |  | Full path to your ghostscript executable. NOTE: For Unix systems this is generally not necessary. However, under Windows, GhostScript is not added to the system’s path. So either you do it yourself, or give the full path here. (e.g., −Gc:\programs\gs\gs7.05\bin\gswin32c).
| −L |  | The listfile is an ASCII file with the names of the PostScript files to be converted.
| −N |  | Do not remove auxiliary files (by default it does). Auxiliary files are built using as base the input PostScript files and consist of: psfile_tmpxx.eps -> PostScript with a modified BoundingBox psTOraster.sc|bat -> script (or batch) with the ghostscript command that does the job. Use this option to save the script and run it later with different settings.
| −T |  | Sets the output raster format, where f means PDF, j means JPEG, g means PNG, m means PPM, and t means TIF [default is JPEG].

## EXAMPLE

| To convert a the file psfile.ps to png using a tight BoundingBox and assuming that gs can be found in your system’s path: ps2raster psfile.ps −A −Tg

## SEE ALSO

| GMT(l)